Last modified: 2009-04-14 02:54:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16489 - Add "diff to last sighted version" to recent changes
Add "diff to last sighted version" to recent changes
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
FlaggedRevs (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Aaron Schulz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 20:36 UTC by P. Birken
Modified: 2009-04-14 02:54 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description P. Birken 2008-11-28 20:36:14 UTC
It would be nice to be able to have additionally to the existing (diff, hist) functionality to have a third link to the last sighted version, making it (review, diff, hist). Together with the existing option of hiding patrolled edits, this would make recent changes again a viable tool.
Comment 1 pgrawehr 2008-11-29 09:54:30 UTC
Also, it would be helpful if one could distinguish between "unreviewed change" and "change to an article which has never been reviewed before". This could probably be achieved by only having the "review" link when the article has any previous reviewed versions. (The difference between reviewed and unreviewed change is indicated by the "!"). 
Comment 2 Aaron Schulz 2008-11-29 17:11:44 UTC
Done in r44039
Comment 3 Melancholie 2008-12-12 01:59:29 UTC
Does this work on dewiki?
I cannot see that link on other wikis.
Comment 4 pgrawehr 2008-12-12 08:07:33 UTC
Yes, it does work on dewiki. To see the link, there must be a reviewed article that was later edited by an user who has no review rights, so on als wiki, you'll probably have to wait for the next IP edit. 
Comment 5 Leinad 2008-12-13 20:56:00 UTC
Could you also add diff to the last sighted version on watchlist? IMHO It would be helpful in faster sighting new changes.
Comment 6 Aaron Schulz 2008-12-13 21:00:10 UTC
Re-closing. The above is a different feature request. I'll start looking at it though.
Comment 7 Aaron Schulz 2008-12-13 22:11:32 UTC
(In reply to comment #5)
> Could you also add diff to the last sighted version on watchlist? IMHO It would
> be helpful in faster sighting new changes.
> 

A new report would help for tracking.
Comment 8 Melancholie 2008-12-13 22:34:09 UTC
> To see the link, there must be a reviewed article
that was later edited by an user who has no review rights

Oh, I must have been blind. But actually I wasn't looking behind the page link but side by side with (diff) (hist). Should have waited some hours to see it ;-)

@Aaron: See bug 16636 :-)
Comment 9 Sebastian Helm 2008-12-21 05:04:09 UTC
While I think it is important for de:wiki to encourage more flagging of revisions, I see a fundamental problem with this: When we encourage editors to only look at difference to last revision, they will overlook intermediate bad edits. Two common scenarios:

Scenario 1:
Version 1 - sighted
Version 2 - some good edits
Version 3 - reversion or partial deletion of change 2
Result: Version 2 will get overlooked. 

Scenario 2:
Version 1 - sighted
Version 2 - sneaky (or at least not blatantly obvious) vandalism 
Version 3 - some good edits
Result: The change #2 will appear as part of an overall improvement and is more likely to get cemented than without the feature.

Instead, I believe it would be much more helpful if we got a fix for #7062, which would make our work much easier already.  
Comment 10 P. Birken 2008-12-21 11:08:43 UTC
This is a general problem not specific to the recent changes link. However, I don't consider it serious, as for scenario 2, it is the job of the editor to make sure that this doesn't happen and flagged revisions help with finding this kind of edits in the first place. In fact, I often find edits of the kind scenario 2 and it was never a problem. As for scenario 1, it doesn't happen often and if it does, there are other ways of remedying this. 
Comment 11 pgrawehr 2008-12-22 08:08:45 UTC
A new script from user "P.Copp" on dewiki helps (at least partially) avoiding these problems. 

importScript('Benutzer:P.Copp/scripts/diffhistory.js');

It shows the history of the article back to the last sighted revision above a diff. So I can see whether a) all changes are from the same user b) some changes have a meaningfull edit comment or c) there's some spoofy IP edit within otherwise good looking edits. Bottom line is that I can see very quickly whether it is necessary to check some of the edits separatelly or whether it is ok to review edits as a whole. 
Comment 12 Melancholie 2009-04-14 02:54:56 UTC
(In reply to comment #11)
> importScript('Benutzer:P.Copp/scripts/diffhistory.js');
>

See also bug 18454, this should be a FlaggedRevs feature.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links